/*
 * [ConfigForCompiler.java]
 *
 * Summary: Config information on which compiler was used.
 *
 * Copyright: (c) 2009-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 * 10.2 2009-04-03 tidy up code to check presence of necessary files to make it more WORA.
 */
package com.mindprod.replicatorcommon;

import com.mindprod.common18.Build;

/**
 * Config information on which compiler was used.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 10.2 2009-04-03 tidy up code to check presence of necessary files to make it more WORA.
 * @since 2009
 */
public final class ConfigForCompiler
    {
    /**
     * which compiler(s) were used. Just for information.
     */
    public static final String COMPILER = "Javac " + Build.JDK_FULL_VERSION
                                          + " Jet " + Build.JET_VERSION + "/" + Build.JET_PROFILE_VERSION;
    }
