/*
 * [FilenameContext.java]
 *
 * Summary: Enumeration of contexts in which a filename can appear.
 *
 * Copyright: (c) 2007-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2007-07-16 Created with IntelliJ IDEA.
 */
package com.mindprod.replicatorcommon;

import java.io.Serializable;

/**
 * Enumeration of contexts in which a filename can appear.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2007-07-16 Created with IntelliJ IDEA.
 * @since 2007
 */
public enum FilenameContext implements Serializable
    {
        /**
         * Where-code to request filename on sender machine.
         */
        @SuppressWarnings( { "EnumeratedConstantNamingConvention" } ) ON_SOURCE,
        /**
         * Where-code to request filename on receiver target client machine.
         */
        @SuppressWarnings( { "EnumeratedConstantNamingConvention" } ) ON_TARGET,
        /**
         * We cannot convert this to an enum without obsoleting the user's receive.zer file. where-code to request name
         * inside zip.
         */
        @SuppressWarnings( { "EnumeratedConstantNamingConvention" } ) INSIDE_ZIP;

    /**
     * Layout version number.
     */
    private static final long serialVersionUID = 340L;
    }
